| Home | Libraries | People | FAQ | More

##### windows::basic_random_access_handle::basic_random_access_handle (2 of 3 overloads)

Construct a `windows::basic_random_access_handle` on an existing native handle.

    basic_random_access_handle(
        boost::asio::io_service & io_service,
        const native_handle_type & handle);

This constructor creates a random-access handle object to hold an existing native handle.

###### Parameters

io_service

  The `io_service` object that the random-access handle will use to dispatch handlers for any asynchronous operations performed on the handle.

handle

  The new underlying handle implementation.

###### Exceptions

boost::system::system_error

  Thrown on failure.